Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.process
Class ImageStatistics

    java.lang.Object
      ij.process.ImageStatistics

All Implemented Interfaces:
  Measurements

Direct Known Subclasses:
  ByteStatistics, ColorStatistics, FloatStatistics, ShortStatistics, StackStatistics

public class ImageStatistics
extends java.lang.Object
implements Measurements

Statistics, including the histogram, of an image or image roi.

Field Summary
`double` | `angle` Angle in degrees of fitted ellipse
`double` | `area`
`double` | `areaFraction`
`double` | `binSize`
`protected Calibration` | `cal`
`double` | `dmode`
`protected int` | `height`
`double` | `histMax`
`double` | `histMin`
`int[]` | `histogram`
`int[]` | `histogram16` 65536 element histogram (16-bit images only)
`int` | `histYMax`
`double` | `kurtosis`
`double` | `major` Length of major axis of fitted ellipse
`double` | `max`
`int` | `maxCount`
`double` | `mean`
`double` | `median`
`double` | `min`
`double` | `minor` Length of minor axis of fitted ellipse
`int` | `mode`
`int` | `nBins`
`protected double` | `ph`
`int` | `pixelCount`
`protected double` | `pw`
`protected int` | `rh`
`double` | `roiHeight`
`double` | `roiWidth`
`double` | `roiX`
`double` | `roiY`
`protected int` | `rw`
`protected int` | `rx`
`protected int` | `ry`
`double` | `skewness`
`double` | `stdDev`
`double` | `umean` Uncalibrated mean
`protected int` | `width`
`double` | `xCenterOfMass`
`double` | `xCentroid`
`double` | `yCenterOfMass`
`double` | `yCentroid`

Fields inherited from interface ij.measure.Measurements
`AREA, AREA_FRACTION, CENTER_OF_MASS, CENTROID, CIRCULARITY, ELLIPSE, FERET, INTEGRATED_DENSITY, INVERT_Y, KURTOSIS, LABELS, LIMIT, MAX_STANDARDS, MEAN, MEDIAN, MIN_MAX, MODE, PERIMETER, RECT, SKEWNESS, SLICE, STD_DEV`

Constructor Summary
`ImageStatistics()`

Method Summary
`void` | `drawEllipse(ImageProcessor ip)`
`static ImageStatistics` | `getStatistics(ImageProcessor ip, int mOptions, Calibration cal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### histogram

    public int[] histogram

### pixelCount

    public int pixelCount

### mode

    public int mode

### dmode

    public double dmode

### area

    public double area

### min

    public double min

### max

    public double max

### mean

    public double mean

### median

    public double median

### stdDev

    public double stdDev

### skewness

    public double skewness

### kurtosis

    public double kurtosis

### xCentroid

    public double xCentroid

### yCentroid

    public double yCentroid

### xCenterOfMass

    public double xCenterOfMass

### yCenterOfMass

    public double yCenterOfMass

### roiX

    public double roiX

### roiY

    public double roiY

### roiWidth

    public double roiWidth

### roiHeight

    public double roiHeight

### umean

    public double umean

  Uncalibrated mean

### major

    public double major

  Length of major axis of fitted ellipse

### minor

    public double minor

  Length of minor axis of fitted ellipse

### angle

    public double angle

  Angle in degrees of fitted ellipse

### histogram16

    public int[] histogram16

  65536 element histogram (16-bit images only)

### areaFraction

    public double areaFraction

### histMin

    public double histMin

### histMax

    public double histMax

### histYMax

    public int histYMax

### maxCount

    public int maxCount

### nBins

    public int nBins

### binSize

    public double binSize

### width

    protected int width

### height

    protected int height

### rx

    protected int rx

### ry

    protected int ry

### rw

    protected int rw

### rh

    protected int rh

### pw

    protected double pw

### ph

    protected double ph

### cal

    protected Calibration cal

Constructor Detail

### ImageStatistics

    public ImageStatistics()

Method Detail

### getStatistics

    public static ImageStatistics getStatistics(ImageProcessor ip,
                                                int mOptions,
                                                Calibration cal)

### drawEllipse

    public void drawEllipse(ImageProcessor ip)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD